<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ID Property (IEdmObject5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmObject5 Interface : ID Property (IEdmObject5)

Visual Basic
C#
C++/CLI
Gets the database ID of this object.

# Syntax

Visual Basic |
--- | ---

    ReadOnly Property ID As System.Integer

C# |
--- | ---

    System.int ID {get;}

C++/CLI |
--- | ---

    property System.int ID {
       System.int get();
    }

#### Property Value

Database ID of this object

# Example

Get and Set Folder Permissions (VB.NET)
Get and Set Folder Permissions (C#)
Get File References for a File (C#)
Get File References for a File (VB.NET)
Create a Task that Finds Files in Workflow States (VB.NET)
Create a Task that Finds Files in Workflow States (C#)

# Remarks

Database IDs are unique for same-type objects. For example, two files can never have the same database ID; however, a file and a folder might have the same database ID.

# See Also

####

IEdmObject5 Interface
IEdmObject5 Members

# Availability

Version 5.2 of SOLIDWORKS PDM Professional